Bullet Collision Detection & Physics Library: btCollisionWorld::ConvexResultCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btCollisionWorld::ConvexResultCallback Struct Referenceabstract

RayResultCallback is used to report new raycast results. More...

`#include <btCollisionWorld.h>`

Inheritance diagram for btCollisionWorld::ConvexResultCallback:
[legend]

## Public Member Functions
| ConvexResultCallback ()
virtual | ~ConvexResultCallback ()
bool | hasHit () const
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const
virtual btScalar | addSingleResult (LocalConvexResult &convexResult, bool normalInWorldSpace)=0

## Public Attributes
btScalar | m_closestHitFraction
int | m_collisionFilterGroup
int | m_collisionFilterMask

## Detailed Description

RayResultCallback is used to report new raycast results.

Definition at line 330 of file btCollisionWorld.h.

## Constructor & Destructor Documentation

## ◆ ConvexResultCallback()

btCollisionWorld::ConvexResultCallback::ConvexResultCallback | ( |  | ) |
| inline

Definition at line 336 of file btCollisionWorld.h.

## ◆ ~ConvexResultCallback()

virtual btCollisionWorld::ConvexResultCallback::~ConvexResultCallback | ( |  | ) |
| inlinevirtual

Definition at line 343 of file btCollisionWorld.h.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btCollisionWorld::ConvexResultCallback::addSingleResult | ( | LocalConvexResult & | convexResult,
|  | bool | normalInWorldSpace
| ) |  |
| pure virtual

Implemented in btKinematicClosestNotMeConvexResultCallback, btClosestNotMeConvexResultCallback, and btCollisionWorld::ClosestConvexResultCallback.

## ◆ hasHit()

bool btCollisionWorld::ConvexResultCallback::hasHit | ( |  | ) | const
| inline

Definition at line 347 of file btCollisionWorld.h.

## ◆ needsCollision()

virtual bool btCollisionWorld::ConvexResultCallback::needsCollision | ( | btBroadphaseProxy * | proxy0 | ) | const
| inlinevirtual

Reimplemented in btClosestNotMeConvexResultCallback.

Definition at line 352 of file btCollisionWorld.h.

## Member Data Documentation

## ◆ m_closestHitFraction

btScalar btCollisionWorld::ConvexResultCallback::m_closestHitFraction

Definition at line 332 of file btCollisionWorld.h.

## ◆ m_collisionFilterGroup

int btCollisionWorld::ConvexResultCallback::m_collisionFilterGroup

Definition at line 333 of file btCollisionWorld.h.

## ◆ m_collisionFilterMask

int btCollisionWorld::ConvexResultCallback::m_collisionFilterMask

Definition at line 334 of file btCollisionWorld.h.

The documentation for this struct was generated from the following file:

- btCollisionWorld.h